Subject: Re: your mail

From: [email-masked] (6692)
Date: Fri, 25 Jun 1993 14:50:47 -0500 (CDT)

> 
> What ISA-bus-cards do we need ?
> 
> > If SCSI, ethernet and video are on the motherboard, ...
> 
> Right.
> 
> > I agree that an ISA bus would be neat and allow us to put lots of 
> > clone cards in the system, but I could live even without this.
> 
> Right too.

Me too.  If the going gets tough, SCSI is expansion bus enough for
me!  Card edge connectors are big, expensive, and a major source of
headaches.
> 
> > However, I feel that we should run every line going to the cpu also
> > to some sort of connector.  ...
> 
> That might lead us into heavy-duty timing problems. ...
> 
> Too much overhead. And big connectors aren't cheap !
> We would have to guarantee timings, signal delays, driver fan outs
> and so on, or third-party add-on cards may run on one one board
> but not on others.
> What do we want to have ? A low-cost/high-speed workstation or a
> multi-cpu/multi-architecture dinosaur ?
> 
Me too, again.  Connectors are nothing but problems, and we've
already got a Medusa's head:

    15-pin D-shell for Video
    DIN for Keyboard
    BNC for Ethernet
    50-pin header for SCSI
    9-pin D-shell or mini-DIN for mouse
    9-pin D-shell for modem
    Might be nice to have a third serial port for a terminal while
	    debugging graphics programs...

The point of the project is that it's distributed in source form!
If you want to expand it to add on your whizz-bang high-tech
whatever, go back to the sources, make your changes, help yourself.
Of course, you'll have to find somebody to make your new boards, but
that's the difference between software and hardware.